summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-07-20 08:18:11 +0200
committerHans de Graaff <graaff@gentoo.org>2017-07-20 08:25:13 +0200
commitd859c0ef03d7d9bc5f68bec9550af4dfeb174059 (patch)
treeeab7580caedd20a867d7aabc1e62779f289e9389
parentdev-ruby/path_expander: add 1.0.2; fix tests, bug 623312 (diff)
downloadgentoo-d859c0ef03d7d9bc5f68bec9550af4dfeb174059.tar.gz
gentoo-d859c0ef03d7d9bc5f68bec9550af4dfeb174059.tar.bz2
gentoo-d859c0ef03d7d9bc5f68bec9550af4dfeb174059.zip
dev-ruby/pygments_rb: add 1.1.2, bug 620462
Package-Manager: Portage-2.3.6, Repoman-2.3.2
-rw-r--r--dev-ruby/pygments_rb/Manifest1
-rw-r--r--dev-ruby/pygments_rb/pygments_rb-1.1.2.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-ruby/pygments_rb/Manifest b/dev-ruby/pygments_rb/Manifest
index 8397c6865c87..2d46e3359ef8 100644
--- a/dev-ruby/pygments_rb/Manifest
+++ b/dev-ruby/pygments_rb/Manifest
@@ -1 +1,2 @@
DIST pygments.rb-0.6.3.gem 1892352 SHA256 d19824fe964cf10388e2852ce3ee888f3e1446c9c2cdc89a55137d8183391198 SHA512 faa9d04b0571e34d5b01cf8ac8b70a68aa3e2555d222199c0090c0b71ae4046e74fc6e64fe8fd0c327fbe9c4a4efb34a91a02dec962086e8d9f8d881bff1eff0 WHIRLPOOL 6663226ee996827dd480a326a5c55c8603d5ab159c78969a2c774a45ff302c7d0b2eb4ee12601de59fb43bac207faf9b4222f1eb017ded313721906c02709db9
+DIST pygments.rb-1.1.2.gem 1169920 SHA256 55a5deed9ecba6037ac22bf27191e0073bd460f87291b2f384922e4b0d59511c SHA512 dee41bf20142b6a63396504b734c183049f84629e7a943bfb361458f6f8d55e9f84ac6c28bac069d839c519eaf562bd73c74e422ebaf750a7430690a8fad043c WHIRLPOOL 9adfa15f5cb9a2d643c860fc52a2250dfdc51c862a031d85908b81af88d5dae1622daecfaf9a9b66c829a542a53a171e806665a0dbec266f5dc5ffbb58008650
diff --git a/dev-ruby/pygments_rb/pygments_rb-1.1.2.ebuild b/dev-ruby/pygments_rb/pygments_rb-1.1.2.ebuild
new file mode 100644
index 000000000000..13870c620f09
--- /dev/null
+++ b/dev-ruby/pygments_rb/pygments_rb-1.1.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+PYTHON_COMPAT=( python2_7 )
+
+RUBY_FAKEGEM_NAME="pygments.rb"
+MY_P="${RUBY_FAKEGEM_NAME}-${PV}"
+
+RUBY_FAKEGEM_RECIPE_TEST="rake"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${RUBY_FAKEGEM_NAME}.gemspec"
+
+inherit ruby-fakegem python-single-r1
+
+DESCRIPTION="Pygments syntax highlighting in ruby"
+HOMEPAGE="https://github.com/tmm1/pygments.rb"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+REQUIRED_USE+=" ${PYTHON_REQUIRED_USE}"
+
+RUBY_S="${MY_P}"
+
+RDEPEND+="
+ ${PYTHON_DEPS}
+ >=dev-python/pygments-2.2.0[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]"
+DEPEND+=" test? ( ${RDEPEND} )"
+
+ruby_add_rdepend ">=dev-ruby/multi_json-1.0.0"
+ruby_add_bdepend "dev-ruby/rake-compiler"
+
+pkg_setup() {
+ ruby-ng_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/s.files/d' pygments.rb.gemspec || die
+ python_fix_shebang lib/pygments/mentos.py
+ # we are loosing a "custom github lexer here", no idea what it is,
+ # but if we need it, it should go into dev-python/pygments
+ rm -r vendor lexers || die "removing bundled libs failed"
+}
+
+each_ruby_compile() {
+ # regenerate the lexer cache, based on the system pygments pkg
+ ${RUBY} cache-lexers.rb || die "regenerating lexer cache failed"
+}
+
+each_ruby_install() {
+ each_fakegem_install
+ ruby_fakegem_doins lexers
+}